<?php
/**
 * Cms_template_util.php - Template utility class with functions not related to cms_template.php.
 *
 * @author $Author: dtong $
 * @version $Id: Cms_template_util.php,v 1.1 2011/10/18 09:28:14 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class Cms_template_util {
	//Gets the template group identifiers
	function get_groups() {
		static $ret = NULL;
		if ( $ret !== NULL ) {
			return $ret;
		}
		$ret = array();
		$folder = CMS_TEMPLATEPATH_BUILDER . 'unit/';
		$files = glob($folder . '*' . EXT);
		if ( is_array($files) && count($files) > 0 ) {
			foreach ($files as $file) {
				$basename = basename($file);
				$basename = osa_str_extract($basename, EXT);
				$basename = trim(osa_str_extract($basename, '_'));
				if ( $basename ) {
					$ret[$basename] = $basename;
				}
			}
		}
		//var_dump($ret);
		natsort($ret);
		return $ret;
	}
}